class Creature:

    def __init__(self, n, l, h):
        self.name = n
        self.level = l
        self.hp = h

    def __str__(self):
        return 'Creature: ' + str(self.name) + ' level: ' + str(self.level) + ' hp: ' + str(self.hp )

    def get_level(self):
        return self.level

    def attack(self, enemy):
        return self.level - enemy.get_level()

    def undertake_attack(self, damage):
        self.hp -= damage

    def is_defeated(self):
        if self.hp <= 0:
            return True

hero = Creature('Grundir', 11, 50)
obluda = Creature('Undead', 5, 20)

while True:
    obluda.undertake_attack(hero.attack(obluda))
    if obluda.is_defeated():
        print(obluda.name, 'is defeated!')
        break
    else:
        print(obluda.__str__())