def binary_search(needle, haystack):
    lower_bound = 0
    upper_bound = len(haystack) - 1
    while lower_bound <= upper_bound:
        middle = (lower_bound + upper_bound) // 2
        if haystack[middle] == needle:
            return middle
        elif haystack[middle] > needle:
            upper_bound = middle - 1
        else:
            lower_bound = middle + 1
    return -1



#print(binary_search(5, [1,2, 5,5]))


def binary_search_list(needle, haystack):
    list = []
    lower_bound = 0
    upper_bound = len(haystack) - 1
    while lower_bound <= upper_bound:
        middle = (lower_bound + upper_bound) // 2
        if haystack[middle] == needle:
            list.append(middle)

        elif haystack[middle] > needle:
            upper_bound = middle - 1
        else:
            lower_bound = middle + 1
    return list



#print(binary_search(5, [1,2, 5,5]))